View Issue Details

IDProjectCategoryView StatusLast Update
0003133unrealdocumentationpublic2010-07-22 14:04
ReportersyzopAssigned Toohnobinki 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
PlatformOSANYOS VersionANY
Product Version3.2.6 
Target VersionFixed in Version3.2.9-RC1 
Summary0003133: Add SSL client cert documentation (oper, link blocks, etc)
DescriptionDocument that we allow the 'sslclientcert' password authentication everywhere (like in place of 'md5' etc), if SSL is enabled.

It would be nice if this could be explicitly documented somewhere, maybe in the oper block (see 'additional information' field below).

It's also extremely useful for server links, probably good idea to explicitly document it there as well.

Of course any other suggestions or attempts as to how to put this in the docs are welcome as well.

Actually, maybe we could make a section which explains all authentication methods supported (md5, crypt, sslclientcert, etc) and refer to that from each section. Currently it's a mess that we have to repeat the list 'valid blalba methods are: md5, crypt, ..' at like 5 places ;P.

Still, I think a seperate "howto" section for oper certs and link blocks would be a good idea.

It's a shame this nice feature is completely undocumented atm ;)
Additional InformationBricker made a start on this (well, oper client certs), attached.
Probably at least part of it can be (re)used :)
TagsNo tags attached.
3rd party modules

Relationships

child of 0003111 closed 3.2.7 Release 
child of 0003776 resolvedsyzop Unreal3.2.9 TODO 

Activities

2006-12-02 10:49

 

UnrealSSLDocs.doc (98,304 bytes)

Bricker

2006-12-06 19:13

reporter   ~0012801

So basically, instead of how I had it setup for just the operblock, you wan an entire section for using SSL Certs? I'll (write) another one, and see if anyone else doesnt wanna edit it, or add to it

WolfSage

2007-04-18 16:24

reporter   ~0013533

*Punts Bricker* Well? ;)

Bricker

2007-04-18 20:30

reporter   ~0013563

pft, sure i'll get on it over my weekend. ty again for reminding wolfsage

stskeeps

2007-06-12 15:26

reporter   ~0014345

*Punts Bricker again*

Bricker

2007-06-12 17:36

reporter   ~0014352

my bad guys, i just dont remember stuff that well anymore. kick me in the channel tonight and i'll get on it

syzop

2010-07-14 17:29

administrator   ~0016174

I don't know about what exact text, but it would be nice to finally have some text about this in 3.2.9....

ohnobinki

2010-07-22 01:22

reporter   ~0016236

- Remove browser compatibility listing from HTML docs.
- Added information about ``oper::password::auth-type sslclientcert'' and the same for link::password-receive::auth-type. (0003133)
- A little bit more of interlinking and using id="" instead of <a name="" />

I'm not sure if my changes are enough to resolve this bug.

syzop

2010-07-22 11:45

administrator   ~0016237

Yup, looks sufficient :)

(I only did some really minor edits, like moving 'crypt' up in your list, as to make it sorted from easiest to hardest to crack, and some caSE edits when I was at it)

Issue History

Date Modified Username Field Change
2006-12-02 10:49 syzop New Issue
2006-12-02 10:49 syzop File Added: UnrealSSLDocs.doc
2006-12-02 10:52 syzop Description Updated
2006-12-02 10:53 syzop Additional Information Updated
2006-12-06 19:13 Bricker Note Added: 0012801
2006-12-07 06:53 syzop Relationship added child of 0003111
2007-04-18 16:24 WolfSage Note Added: 0013533
2007-04-18 20:30 Bricker Note Added: 0013563
2007-04-19 02:18 stskeeps Status new => confirmed
2007-06-12 15:26 stskeeps Note Added: 0014345
2007-06-12 17:36 Bricker Note Added: 0014352
2007-07-18 07:27 stskeeps Relationship added child of 0003454
2008-12-23 16:39 syzop Relationship deleted child of 0003454
2010-07-14 17:28 syzop Relationship added child of 0003776
2010-07-14 17:29 syzop Note Added: 0016174
2010-07-22 01:22 ohnobinki Note Added: 0016236
2010-07-22 01:23 ohnobinki Assigned To => ohnobinki
2010-07-22 01:23 ohnobinki Status confirmed => feedback
2010-07-22 11:45 syzop Note Added: 0016237
2010-07-22 14:04 ohnobinki QA => Not touched yet by developer
2010-07-22 14:04 ohnobinki U4: Need for upstream patch => No need for upstream InspIRCd patch
2010-07-22 14:04 ohnobinki Status feedback => resolved
2010-07-22 14:04 ohnobinki Fixed in Version => 3.2.9-RC1
2010-07-22 14:04 ohnobinki Resolution open => fixed